<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_students_data', function (Blueprint $table) {
            $table->id(); // This will create an auto-incrementing 'id' column
            $table->string('full_names', 50)->nullable();
            $table->string('national_id', 50)->unique()->nullable();
            $table->string('gender', 50)->nullable();
            $table->string('phone', 50)->nullable();
            $table->string('email', 50)->nullable();
            $table->date('registration_date')->nullable();
            $table->string('registered_by', 50)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_students_data');
    }
};
